Workspaces
Create, list and manage EUrouter workspaces through the API to organize resources and isolate access within your organization.
List workspaces
List all workspaces in the selected account.
Authentication: Requires an organization-wide management key. Read-only management keys are accepted.
Authorization
organizationManagementKey Requires organization-wide access. Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Query Parameters
Number of records to skip for pagination
0 <= value <= 9007199254740991Maximum number of records to return (max 100)
1 <= value <= 100Response Body
application/json
curl -X GET "https://api.eurouter.ai/api/v1/workspaces"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"description": "string",
"created_at": "string",
"created_by": "string",
"updated_at": "string",
"default_text_model": "string",
"default_image_model": "string",
"default_provider_sort": "string",
"is_observability_io_logging_enabled": true,
"is_observability_broadcast_enabled": true,
"is_data_discount_logging_enabled": true,
"io_logging_sampling_rate": 0,
"io_logging_api_key_ids": [
"string"
]
}
],
"total_count": -9007199254740991
}Create workspace
Create a new workspace in the selected account.
Authentication: Requires an organization-wide management key. Read-only management keys cannot use this endpoint.
Authorization
organizationManagementKey Requires organization-wide access. Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"description": "string",
"created_at": "string",
"created_by": "string",
"updated_at": "string",
"default_text_model": "string",
"default_image_model": "string",
"default_provider_sort": "string",
"is_observability_io_logging_enabled": true,
"is_observability_broadcast_enabled": true,
"is_data_discount_logging_enabled": true,
"io_logging_sampling_rate": 0,
"io_logging_api_key_ids": [
"string"
]
}
}Get workspace
Get a single workspace by UUID or slug.
Authentication: Requires a management key. Read-only management keys are accepted.
Authorization
managementKey Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Path Parameters
Workspace UUID or slug
1 <= lengthResponse Body
application/json
curl -X GET "https://api.eurouter.ai/api/v1/workspaces/string"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"description": "string",
"created_at": "string",
"created_by": "string",
"updated_at": "string",
"default_text_model": "string",
"default_image_model": "string",
"default_provider_sort": "string",
"is_observability_io_logging_enabled": true,
"is_observability_broadcast_enabled": true,
"is_data_discount_logging_enabled": true,
"io_logging_sampling_rate": 0,
"io_logging_api_key_ids": [
"string"
]
}
}Update workspace
Update an existing workspace. Only provided fields are changed.
Authentication: Requires a management key. Read-only management keys cannot use this endpoint.
Authorization
managementKey Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Path Parameters
Workspace UUID or slug
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.eurouter.ai/api/v1/workspaces/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"description": "string",
"created_at": "string",
"created_by": "string",
"updated_at": "string",
"default_text_model": "string",
"default_image_model": "string",
"default_provider_sort": "string",
"is_observability_io_logging_enabled": true,
"is_observability_broadcast_enabled": true,
"is_data_discount_logging_enabled": true,
"io_logging_sampling_rate": 0,
"io_logging_api_key_ids": [
"string"
]
}
}Delete workspace
Delete a workspace. The default workspace and workspaces with active API keys cannot be deleted.
Authentication: Requires an organization-wide management key. Read-only management keys cannot use this endpoint.
Authorization
organizationManagementKey Requires organization-wide access. Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Path Parameters
Workspace UUID or slug
1 <= lengthResponse Body
application/json
curl -X DELETE "https://api.eurouter.ai/api/v1/workspaces/string"{
"deleted": true
}Add workspace members
Add organization members to a workspace. Each member keeps the role they hold in the organization.
Authentication: Requires a management key. Read-only management keys cannot use this endpoint.
Authorization
managementKey Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Path Parameters
Workspace UUID or slug
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/workspaces/string/members/add" \ -H "Content-Type: application/json" \ -d '{ "user_ids": [ "string" ] }'{
"added_count": -9007199254740991,
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"user_id": "string",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"role": "admin",
"created_at": "string"
}
]
}Remove workspace members
Remove members from a workspace. Members with active API keys in the workspace cannot be removed.
Authentication: Requires a management key. Read-only management keys cannot use this endpoint.
Authorization
managementKey Management key from Settings → Management keys. Format: eur_mgmt_<public-id>.<secret>. Read-only management keys support GET and HEAD only.
In: header
Path Parameters
Workspace UUID or slug
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/workspaces/string/members/remove" \ -H "Content-Type: application/json" \ -d '{ "user_ids": [ "string" ] }'{
"removed_count": -9007199254740991
}